%define		_class		HTTP
%define		_subclass	Request
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.4.4
Release:	%mkrel 10
Summary:	Provides an easy way to perform HTTP requests
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/HTTP_Request/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Net_URL >= 1.0.12
Requires:	php-pear-Net_Socket >= 1.0
BuildArch:	noarch
BuildRequires:	php-pear

%description
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication etc.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

#%post
#%if %mdkversion < 201000
#pear install --nodeps --soft --force --register-only \
#    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :
#%endif

#%preun
#%if %mdkversion < 201000
#if [ "$1" -eq "0" ]; then
#    pear uninstall --nodeps --ignore-errors --register-only \
#        %{pear_name} >/dev/null || :
#fi
#%endif

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.4.4-10.mga6
+ Revision: 964774
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-9.mga5
+ Revision: 746539
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-8.mga5
+ Revision: 687295
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.4-7.mga4
+ Revision: 516850
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.4-6.mga3
+ Revision: 376327
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.4.4-5.mga1
+ Revision: 20885
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTTP_Request

